"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMessage = isMessage;
exports.isCommandMessage = isCommandMessage;
exports.isCreatePeerConnectionMessage = isCreatePeerConnectionMessage;
exports.isSignalingMessage = isSignalingMessage;
exports.isClosePeerConnectionMessage = isClosePeerConnectionMessage;
exports.isConfigurationMessage = isConfigurationMessage;
exports.isExperimentStatusChangedMessage = isExperimentStatusChangedMessage;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function isMessage(message) {
    return 'messageType' in message;
}
function isCommandMessage(message) {
    return message.messageType === 'command';
}
function isCreatePeerConnectionMessage(message) {
    return message.command === 'createPeerconnection';
}
function isSignalingMessage(message) {
    return message.messageType === 'signaling';
}
function isClosePeerConnectionMessage(message) {
    return message.command === 'closePeerconnection';
}
function isConfigurationMessage(message) {
    return (message.messageType === 'configuration' &&
        typeof message.configuration === 'object' &&
        message.configuration !== null);
}
function isExperimentStatusChangedMessage(message) {
    return (message.messageType === 'experiment-status-changed' &&
        typeof message.status === 'string' &&
        (message.message === undefined || typeof message.message === 'string'));
}
//# sourceMappingURL=deviceMessages.js.map