import { ServiceConfiguration } from './deviceMessages';
import { PeerConnection } from './peer/connection';
export type ServiceDirection = 'consumer' | 'producer' | 'prosumer';
export declare const Consumer: ServiceDirection;
export declare const Producer: ServiceDirection;
export declare const Prosumer: ServiceDirection;
export { ServiceConfiguration };
export interface Service<T extends string = string> {
    getMeta: () => {
        serviceId: string;
        serviceType: T;
        serviceDirection: ServiceDirection;
    };
    serviceType: T;
    serviceId: string;
    serviceDirection: ServiceDirection;
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
}
//# sourceMappingURL=service.d.ts.map